Subject: Re: bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Gregory Heytings <[email-masked]>
Date: Mon, 10 May 2021 14:24:35 +0000

>>> There's something more subtle happening, because using 
>>> text-scale-adjust is much faster, even on a frame with a single 
>>> buffer.
>>
>> Again I don't know, but I don't think so.  AFAICS it's faster because 
>> redisplaying a single buffer without changing the window and frame size 
>> is faster than redisplaying all buffers in a frame and resizing the 
>> frame itself.
>
> Enlarging the frame means we also interact with the WM and await its 
> response, no?
>

The patch I just sent avoids that problem, and does what other programs do 
when the user zooms: their frames are not resized.